import os
import sys

try:
	import chimera
	from chimera.baseDialog import ModelessDialog
	import VolumeViewer
except:
	print "Chimera not found"
	ModelessDialog=Tkinter.Window

def volume_data_set(model):
	d = VolumeViewer.volume_dialog()
	if d == None:
		return None
	for dr in d.data_regions:
		if model in dr.models():
			return dr.data_set
	return None


def getPath(filename):
	openfiles=chimera.openModels.list()
	for model in openfiles:
		filecheck=str(model.name)
		if  filecheck==str(filename):
			if str(model.__class__)=="VolumeViewer.surface.Surface_Model":
				path=str(volume_data_set(model).data.path)
			elif str(model.__class__)=="chimera.Molecule":
				modelfile=model.openedAs
				path=str(modelfile[0])
			if filecheck.strip()==path:
				path=os.path.abspath(model.name)

	return path

def cleanTempFiles(filelist):
	for tempfile in filelist:
		cmd0="rm -f %s"%(str(tempfile))
		os.system(cmd0)
	return
